---
name: Conor Brady
start_date: 2017-04-03
locality: Dublin
country: Ireland
role: <a href="/job-families/sales/account-executive/">Account Executive (Mid-Market, Territory), EMEA</a>
reports_to: chrisanderton
picture: conor-brady.png
twitter: ConorFBrady
gitlab: Cbrady
departments:
- Sales
- Sales NQR
- Commercial Sales
story: 'Based in Ireland, Conor is a sales professional with a wealth of IT knowledge
  and experience having previously worked in several of the world''s largest Tech
  multinationals. In his personal time Conor is and avid traveller who enjoys exploring
  new cultures and foods.

'
